## messagelib 25.08.2

=== CMakeLists.txt ===
# SPDX-License-Identifier: CC0-1.0
# SPDX-FileCopyrightText: none
cmake_minimum_required(VERSION 3.16 FATAL_ERROR)
set(PIM_VERSION "6.5.2")
set(CMAKE_CXX_STANDARD 20)

project(Messagelib VERSION ${PIM_VERSION})

option(KDEPIM_ENTERPRISE_BUILD "Enable features specific to the enterprise branch, which are normally disabled. Also, it disables many components not needed for Kontact such as the Kolab client." FALSE)

set(KF_MIN_VERSION "6.14.0")
set(QT_REQUIRED_VERSION "6.8.0")

set(MESSAGELIB_LIB_VERSION ${PIM_VERSION})
set(AKONADIMIME_LIB_VERSION "6.5.2")

set(AKONADICONTACT_LIB_VERSION "6.5.2")
set(AKONADI_VERSION "6.5.2")
set(GRANTLEETHEME_LIB_VERSION "6.5.2")
set(GRAVATAR_LIB_VERSION "6.5.2")
set(IDENTITYMANAGEMENT_LIB_VERSION "6.5.2")
set(KMAILTRANSPORT_LIB_VERSION "6.5.2")
set(KMBOX_LIB_VERSION "6.5.2")
set(KMIME_LIB_VERSION "6.5.2")
set(KPIMTEXTEDIT_LIB_VERSION "6.5.2")
set(LIBKDEPIM_LIB_VERSION "6.5.2")
set(LIBKLEO_LIB_VERSION "6.5.2")
set(PIMCOMMON_LIB_VERSION "6.5.2")
set(GPGME_REQUIRED_VERSION "1.23.2")
set(AKONADI_SEARCH_VERSION "6.5.2")

set(OPENSSL_VERSION "3.0.0")

set(ECM_VERSION ${KF_MIN_VERSION})

find_package(ECM ${ECM_VERSION} CONFIG REQUIRED)
set(CMAKE_MODULE_PATH ${Messagelib_SOURCE_DIR}/cmake/modules ${ECM_MODULE_PATH})

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)

include(ECMGenerateExportHeader)
include(ECMSetupVersion)
include(ECMGenerateHeaders)

include(KDEGitCommitHooks)
include(KDEClangFormat)
file(GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES
messagecomposer/*.cpp
messagecomposer/*.h
messagecore/*.cpp
messagecore/*.h
messagelist/*.cpp
messagelist/*.h
messageviewer/*.cpp
messageviewer/*.h
mimetreeparser/*.cpp
mimetreeparser/*.h
templateparser/*.cpp
templateparser/*.h
webengineviewer/*.cpp
webengineviewer/*.h
)
kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})

include(ECMQtDeclareLoggingCategory)
include(ECMDeprecationSettings)
include(ECMFeatureSummary)
include(ECMAddTests)
include(ECMAddQch)

include(ECMCheckOutboundLicense)
file(GLOB_RECURSE ALL_SOURCE_FILES
messagecomposer/*.cpp
messagecomposer/*.h
messagecore/*.cpp
messagecore/*.h
messagelist/*.cpp
messagelist/*.h
messageviewer/*.cpp
messageviewer/*.h
mimetreeparser/*.cpp
mimetreeparser/*.h
templateparser/*.cpp
templateparser/*.h
webengineviewer/*.cpp
webengineviewer/*.h
)
ecm_check_outbound_license(LICENSES GPL-2.0-only  FILES ${ALL_SOURCE_FILES})


set(KTEXTADDONS_MIN_VERSION "1.6.0")

option(BUILD_QCH "Build API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)" OFF)
add_feature_info(QCH ${BUILD_QCH} "API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)")

find_package(Qt6 ${QT_REQUIRED_VERSION} CONFIG REQUIRED Gui Test)
find_package(Qt6 ${QT_REQUIRED_VERSION} CONFIG REQUIRED Widgets Network PrintSupport WebEngineWidgets)

find_package(KF6CoreAddons ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6Codecs ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6I18n ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6NewStuff ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(Gpgmepp ${GPGME_REQUIRED_VERSION} CONFIG REQUIRED)
find_package(QGpgmeQt6 ${GPGME_REQUIRED_VERSION} CONFIG REQUIRED)
find_package(KF6Archive ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6Completion ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6Config ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6Contacts ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6IconThemes ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6ItemViews ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6JobWidgets ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6KIO ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6Service ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6Sonnet ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6TextWidgets ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6WidgetsAddons ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6XmlGui ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6SyntaxHighlighting ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6GuiAddons ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6Notifications ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6ColorScheme ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6TextTemplate CONFIG REQUIRED)

find_package(KF6CalendarCore ${KF_MIN_VERSION} CONFIG REQUIRED)

find_package(KPim6Akonadi ${AKONADI_VERSION} CONFIG REQUIRED)
find_package(KPim6AkonadiMime ${AKONADIMIME_LIB_VERSION} CONFIG REQUIRED)
find_package(KPim6AkonadiContactWidgets ${AKONADICONTACT_LIB_VERSION} CONFIG REQUIRED)
find_package(KPim6GrantleeTheme ${GRANTLEETHEME_LIB_VERSION} CONFIG REQUIRED)
find_package(KPim6Gravatar ${GRAVATAR_LIB_VERSION} CONFIG REQUIRED)
find_package(KPim6IdentityManagementWidgets ${IDENTITYMANAGEMENT_LIB_VERSION} CONFIG REQUIRED)
find_package(KPim6Libkleo ${LIBKLEO_LIB_VERSION} CONFIG REQUIRED)
find_package(KPim6MailTransport ${KMAILTRANSPORT_LIB_VERSION} CONFIG REQUIRED)
find_package(KPim6Mbox ${KMBOX_LIB_VERSION} CONFIG REQUIRED)
find_package(KPim6Mime ${KMIME_LIB_VERSION} CONFIG REQUIRED)
find_package(KPim6PimCommonAkonadi ${PIMCOMMON_LIB_VERSION} CONFIG REQUIRED)
find_package(KPim6TextEdit ${KPIMTEXTEDIT_LIB_VERSION} CONFIG REQUIRED)
find_package(KPim6Libkdepim ${LIBKDEPIM_LIB_VERSION} CONFIG REQUIRED)

find_package(KF6TextEditTextToSpeech ${KTEXTADDONS_MIN_VERSION} CONFIG)
if(TARGET KF6::TextEditTextToSpeech)
    add_definitions(-DHAVE_KTEXTADDONS_TEXT_TO_SPEECH_SUPPORT)
endif()

find_package(KF6TextAutoCorrectionWidgets ${KTEXTADDONS_MIN_VERSION} CONFIG REQUIRED)

find_package(KF6TextUtils ${KTEXTADDONS_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6TextCustomEditor ${KTEXTADDONS_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6TextAddonsWidgets ${KTEXTADDONS_MIN_VERSION} CONFIG REQUIRED)

option(FORCE_DISABLE_AKONADI_SEARCH "Disable features and API that require akonadi-search, e.g. because xapian isn't available" OFF)
if(UNIX)
    if(NOT FORCE_DISABLE_AKONADI_SEARCH)
        find_package(KPim6AkonadiSearch ${AKONADI_SEARCH_VERSION} CONFIG REQUIRED)
        set_package_properties(KPim6AkonadiSearch PROPERTIES DESCRIPTION "The Akonadi Search libraries" URL "https://invent.kde.org/pim/akonadi-search" TYPE REQUIRED PURPOSE "Provides search capabilities in KMail and Akonadi")
    endif()
else()
    if(NOT FORCE_DISABLE_AKONADI_SEARCH)
        find_package(KPim6AkonadiSearch ${AKONADI_SEARCH_VERSION} CONFIG)
        set_package_properties(KPim6AkonadiSearch PROPERTIES DESCRIPTION "The Akonadi Search libraries" URL "https://invent.kde.org/pim/akonadi-search" TYPE OPTIONAL PURPOSE "Provides search capabilities in KMail and Akonadi")
    endif()
endif()

if(NOT KPim6AkonadiSearch_FOUND)
    set(FORCE_DISABLE_AKONADI_SEARCH TRUE)
endif()

find_package(OpenSSL ${OPENSSL_VERSION} REQUIRED)

ecm_set_disabled_deprecation_versions(QT 6.10.0 KF 6.16.0)
add_definitions(-DQT_NO_CONTEXTLESS_CONNECT)
if(BUILD_TESTING)
    add_definitions(-DBUILD_TESTING)
endif()

option(USE_UNITY_CMAKE_SUPPORT "Use UNITY cmake support (speedup compile time)" OFF)

set(COMPILE_WITH_UNITY_CMAKE_SUPPORT OFF)
if(USE_UNITY_CMAKE_SUPPORT)
    set(COMPILE_WITH_UNITY_CMAKE_SUPPORT ON)
    add_definitions(-DCOMPILE_WITH_UNITY_CMAKE_SUPPORT)
endif()

include_directories(
    ${CMAKE_CURRENT_BINARY_DIR}
    ${CMAKE_CURRENT_SOURCE_DIR}
)

add_subdirectory(mimetreeparser)
add_subdirectory(messageviewer)
add_subdirectory(templateparser)
add_subdirectory(messagecomposer)
add_subdirectory(messagecore)
add_subdirectory(messagelist)
add_subdirectory(webengineviewer)

ecm_qt_install_logging_categories(
    EXPORT MESSAGELIB
    FILE messagelib.categories
    DESTINATION ${KDE_INSTALL_LOGGINGCATEGORIESDIR}
)

kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)
ki18n_install(po)
ecm_feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== messagecore/tests/CMakeLists.txt ===
# SPDX-License-Identifier: CC0-1.0
# SPDX-FileCopyrightText: none

add_executable(test_dates test_dates.cpp)
add_test(NAME test_dates COMMAND test_dates)
target_link_libraries(test_dates KPim6::MessageCore)

=== messageviewer/src/pics/CMakeLists.txt ===
# SPDX-License-Identifier: CC0-1.0
# SPDX-FileCopyrightText: none
set(pics
quicklistClosed.png
quicklistOpened.png
quotecollapse.png
quoteexpand.png
enterprise_bottom_left.png
enterprise_bottom.png
enterprise_bottom_right.png
enterprise_icon.png
enterprise_left.png
enterprise_right.png
enterprise_sbar.png
enterprise_s_left.png
enterprise_sp_right.png
enterprise_s_right.png
enterprise_sw.png
enterprise_top_left.png
enterprise_top.png
enterprise_top_right.png
enterprise_w.png
)

install(FILES ${pics} DESTINATION ${KDE_INSTALL_DATADIR}/libmessageviewer/pics)

=== messagecomposer/src/composer/autotests/CMakeLists.txt ===
# SPDX-License-Identifier: CC0-1.0
# SPDX-FileCopyrightText: none
macro(add_composer_unittest _source)
    get_filename_component(_name ${_source} NAME_WE)
    ecm_add_test(${_source} ${_name}.h
        TEST_NAME ${_name}
        NAME_PREFIX "messagecomposer-composer-"
        LINK_LIBRARIES Qt::Test KPim6::MessageComposer
)
endmacro()

add_composer_unittest(composerattachmentinterfacetest.cpp)

=== messageviewer/src/about/default/CMakeLists.txt ===
# SPDX-License-Identifier: CC0-1.0
# SPDX-FileCopyrightText: none
install(FILES main.css
              main.html
              status.html
              splash.theme
        DESTINATION ${KDE_INSTALL_DATADIR}/messageviewer/about/default
)

=== messageviewer/src/header/autotests/CMakeLists.txt ===
# SPDX-License-Identifier: CC0-1.0
# SPDX-FileCopyrightText: none
set(EXECUTABLE_OUTPUT_PATH ${CMAKE_CURRENT_BINARY_DIR})
add_definitions(-DHEADER_DATA_DIR="${CMAKE_CURRENT_SOURCE_DIR}/data")
add_definitions(-DGRANTLEETHEME_DATA_DIR="${CMAKE_SOURCE_DIR}/messageviewer/src/messageviewerheaderplugins/defaultgrantleeheaderstyleplugin/theme/")

ecm_add_test(grantleeheaderstyletest.cpp grantleeheaderstyletest.h
    TEST_NAME grantleeheaderstyletest
    NAME_PREFIX "messageviewer-header-"
    LINK_LIBRARIES
        KPim6::GrantleeTheme
        KF6::IconThemes
        KPim6::MessageViewer
        KPim6::Mime
        Qt::Test
)

ecm_add_test(grantleeheaderformattertest.cpp grantleeheaderformattertest.h
    TEST_NAME grantleeheaderformattertest
    NAME_PREFIX "messageviewer-header-"
    LINK_LIBRARIES
        KF6::TextTemplate
        KPim6::GrantleeTheme
        KF6::IconThemes
        KPim6::MessageViewer
        KPim6::Mime
        Qt::Test
)

set_tests_properties(
    messageviewer-header-grantleeheaderstyletest
    messageviewer-header-grantleeheaderformattertest
    PROPERTIES ENVIRONMENT "LC_ALL=en_US.UTF-8;TZ=UTC"
)

=== messageviewer/src/messageviewerheaderplugins/defaultgrantleeheaderstyleplugin/CMakeLists.txt ===
# SPDX-License-Identifier: CC0-1.0
# SPDX-FileCopyrightText: none
kcoreaddons_add_plugin(messageviewer_defaultgrantleeheaderstyleplugin
    INSTALL_NAMESPACE pim6/messageviewer/headerstyle
)

target_sources(messageviewer_defaultgrantleeheaderstyleplugin PRIVATE
   defaultgrantleeheaderstyleplugin.cpp
   defaultgrantleeheaderstyleinterface.cpp
   defaultgrantleeheaderstrategy.cpp
   defaultgrantleeheaderstyleplugin.h
   defaultgrantleeheaderstyleinterface.h
   defaultgrantleeheaderstrategy.h
)

kconfig_add_kcfg_files(messageviewer_defaultgrantleeheaderstyleplugin
  settings/globalsettings_base.kcfgc
)

target_link_libraries(messageviewer_defaultgrantleeheaderstyleplugin
  KPim6::MessageViewer
  KPim6::GrantleeTheme
  KF6::XmlGui
)

install(DIRECTORY theme/5.2 DESTINATION ${KDE_INSTALL_DATADIR}/messageviewer/defaultthemes/)

=== mimetreeparser/src/temporaryfile/autotests/CMakeLists.txt ===
# SPDX-License-Identifier: CC0-1.0
# SPDX-FileCopyrightText: none

ecm_add_test(attachmenttemporaryfilesdirstest.cpp attachmenttemporaryfilesdirstest.h
    TEST_NAME attachmenttemporaryfilesdirstest
    NAME_PREFIX "mimeptreeparser-temporaryfile-"
    LINK_LIBRARIES Qt::Test KPim6::MimeTreeParser
)

=== webengineviewer/src/checkphishingurl/tests/CMakeLists.txt ===
# SPDX-License-Identifier: CC0-1.0
# SPDX-FileCopyrightText: none
set(EXECUTABLE_OUTPUT_PATH ${CMAKE_CURRENT_BINARY_DIR})

include(ECMAddTests)

include_directories(${CMAKE_CURRENT_SOURCE_DIR}/..)
add_definitions(-DCHECKPHISHINGURL_TEST_DATA_DIR="${CMAKE_CURRENT_SOURCE_DIR}/data")
add_executable(checkphishingurlgui checkphishingurlgui.cpp checkphishingurlgui.h)
target_link_libraries(checkphishingurlgui
    KPim6::WebEngineViewer
    
    Qt::WebEngineWidgets
    KF6::I18n
)

add_executable(searchfullhashgui searchfullhashgui.cpp searchfullhashgui.h)
target_link_libraries(searchfullhashgui
    KPim6::WebEngineViewer
    
    Qt::WebEngineWidgets
    KF6::I18n
)

add_executable(createphishingurldatabasegui createphishingurldatabasegui.cpp createphishingurldatabasegui.h)
target_link_libraries(createphishingurldatabasegui
    KPim6::WebEngineViewer
    
    Qt::WebEngineWidgets
    KF6::I18n
)

add_executable(managelocaldatabasegui managelocaldatabasegui.cpp managelocaldatabasegui.h)
target_link_libraries(managelocaldatabasegui
    KPim6::WebEngineViewer
    
    Qt::WebEngineWidgets
    KF6::I18n
)

add_executable(webengineviewwithsafebrowsingsupport webengineviewwithsafebrowsingsupport.cpp webengineviewwithsafebrowsingsupport.h)
target_link_libraries(webengineviewwithsafebrowsingsupport
    KPim6::WebEngineViewer
    
    Qt::WebEngineWidgets
    KF6::I18n
)

=== debian/changelog ===
messagelib (4:25.08.2-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.08.2)

 -- Rik Mills <rikmills@kde.org>  Fri, 17 Oct 2025 11:57:53 +0100

=== debian/control ===
Source: messagelib
Section: libs
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sandro Knauß <hefee@debian.org>, Patrick Franz <deltaone@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-sequence-kf6,
               extra-cmake-modules (>= 6.6.0~),
               git,
               libakonadi-dev (>= 4:25.08.2~),
               libakonadicontact-dev (>= 4:25.08.2~),
               libakonadimime-dev (>= 4:25.08.2~),
               libakonadisearch-dev (>= 4:25.08.2~),
               libgpgme-dev (>= 1.21.0~),
               libgpgmepp-dev (>= 1.23.2~),
               libgrantleetheme-dev (>= 25.08.2~),
               libgravatar-dev (>= 4:25.08.2~),
               libkdepim-dev (>= 4:25.08.2~),
               libkf6archive-dev (>= 6.6.0~),
               libkf6calendarcore-dev (>= 6.6.0~),
               libkf6codecs-dev (>= 6.6.0~),
               libkf6colorscheme-dev (>= 6.6.0~),
               libkf6completion-dev (>= 6.6.0~),
               libkf6config-dev (>= 6.6.0~),
               libkf6contacts-dev (>= 6.6.0~),
               libkf6coreaddons-dev (>= 6.6.0~),
               libkf6guiaddons-dev (>= 6.6.0~),
               libkf6i18n-dev (>= 6.6.0~),
               libkf6iconthemes-dev (>= 6.6.0~),
               libkf6itemviews-dev (>= 6.6.0~),
               libkf6jobwidgets-dev (>= 6.6.0~),
               libkf6kio-dev (>= 6.6.0~),
               libkf6newstuff-dev (>= 6.6.0~),
               libkf6notifications-dev (>= 6.6.0~),
               libkf6service-dev (>= 6.6.0~),
               libkf6sonnet-dev (>= 6.6.0~),
               libkf6syntaxhighlighting-dev (>= 6.6.0~),
               libkf6texttemplate-dev (>= 6.3.0~),
               libkf6textwidgets-dev (>= 6.6.0~),
               libkf6widgetsaddons-dev (>= 6.6.0~),
               libkf6xmlgui-dev (>= 6.6.0~),
               libkidentitymanagement-dev (>= 25.08.2~),
               libkleo-dev (>= 4:25.08.2~),
               libkmailtransport-dev (>= 25.08.2~),
               libkmbox-dev (>= 25.08.2~),
               libkmime-dev (>= 25.08.2~),
               libkpimtextedit-dev (>= 25.08.2~),
               libktextaddons-dev (>= 1.5.4~),
               libpimcommon-dev (>= 4:25.08.2~),
               libqca-qt6-dev (>= 2.3.7~),
               libqgpgmeqt6-dev (>= 1.23.2~),
               libssl-dev (>= 3.0.0~),
               qt6-base-dev (>= 6.7.0~),
               qt6-webengine-dev (>= 6.7.0~),
               xauth,
               xvfb,
Standards-Version: 4.7.0
Homepage: https://invent.kde.org/pim/messagelib
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/messagelib
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/messagelib
Rules-Requires-Root: no

Package: messagelib-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Breaks: kf5-messagelib-data,
Replaces: kf5-messagelib-data,
Description: KDE PIM messaging library - data files
 This package contains the data files shipped with the message libraries.
 .
 This package is part of KDE PIM module.

Package: messagelib-dev
Section: libdevel
Architecture: amd64 arm64 armhf i386
Multi-Arch: same
Depends: libakonadi-dev (>= 4:25.08.2~),
         libakonadimime-dev (>= 4:25.08.2~),
         libkf6contacts-dev (>= 6.6.0~),
         libkf6service-dev (>= 6.6.0~),
         libkidentitymanagement-dev (>= 25.08.2~),
         libkleo-dev (>= 4:25.08.2~),
         libkmime-dev (>= 25.08.2~),
         libkpim6messagecomposer6 (= ${binary:Version}),
         libkpim6messagecore6 (= ${binary:Version}),
         libkpim6messagelist6 (= ${binary:Version}),
         libkpim6messageviewer6 (= ${binary:Version}),
         libkpim6mimetreeparser6 (= ${binary:Version}),
         libkpim6templateparser6 (= ${binary:Version}),
         libkpim6webengineviewer6 (= ${binary:Version}),
         libktextaddons-dev (>= 1.5.4~),
         libpimcommon-dev (>= 4:25.08.2~),
         qt6-webengine-dev (>= 6.7.0~),
         ${misc:Depends},
Description: KDE PIM messaging library - development files
 This package contains the development files for the KDE PIM messaging library.
 It provides basic e-mail message composing facilities, message handling,
 widgets, a mimetreeparser, a template parser and more.
 .
 This package is part of KDE PIM module.

Package: libkpim6messagecomposer6
Provides: ${ABI:VirtualPackage},
Architecture: amd64 arm64 armhf i386
Multi-Arch: same
Depends: messagelib-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: KDE PIM messaging library, composer library
 This package contains the message composer library. It provides basic e-mail
 message composing facilities.
 .
 This package is part of KDE PIM module.

Package: libkpim6messagecore6
Provides: ${ABI:VirtualPackage},
Architecture: amd64 arm64 armhf i386
Multi-Arch: same
Depends: messagelib-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: KDE PIM messaging library, core library
 This package contains the message core library. It provides basic e-mail
 message handling facilities.
 .
 This package is part the KDE PIM module.

Package: libkpim6messagelist6
Provides: ${ABI:VirtualPackage},
Architecture: amd64 arm64 armhf i386
Multi-Arch: same
Depends: messagelib-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: KDE PIM messaging library, message list library
 This package contains the message list library. It provides a widget for the
 e-mail message lists with extensive filtering, grouping and useful features.
 .
 This package is part of the KDE PIM module.

Package: libkpim6messageviewer6
Provides: ${ABI:VirtualPackage},
Architecture: amd64 arm64 armhf i386
Multi-Arch: same
Depends: messagelib-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: KDE PIM messaging library, message viewer library
 This package contains the message viewer library which implements feature-rich
 and highly configurable widget for viewing e-mail messages.
 .
 This package is part of the KDE PIM module.

Package: libkpim6mimetreeparser6
Provides: ${ABI:VirtualPackage},
Architecture: amd64 arm64 armhf i386
Multi-Arch: same
Depends: messagelib-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: KDE PIM Mime Tree parser library
 This library implements a parser for the mime tree used by KMail.
 .
 This package is part of the KDE PIM module.
 This package contains the development files for the mime tree parser library.

Package: libkpim6templateparser6
Provides: ${ABI:VirtualPackage},
Architecture: amd64 arm64 armhf i386
Multi-Arch: same
Depends: messagelib-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: KMail template parser library
 This library implements a parser for the mail templates which KMail uses to
 enable customization of initial structure for the new, reply or forwarded
 messages.
 .
 This package is part of the KDE PIM module.

Package: libkpim6webengineviewer6
Provides: ${ABI:VirtualPackage},
Architecture: amd64 arm64 armhf i386
Depends: messagelib-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Multi-Arch: same
Description: KDE's Qt WebEngine Viewer
 This library implements view on Qt WebEngine used by KDE PIM.
 .
 This package is part of the KDE PIM module.

=== debian/watch ===
version=4
opts=pgpsigurlmangle=s/$/.sig/ https://download.kde.org/stable/release-service/([\d.]+)/src/messagelib-([\d.]+)\.tar\.xz

## messagelib 25.08.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,7 @@
 # SPDX-License-Identifier: CC0-1.0
 # SPDX-FileCopyrightText: none
 cmake_minimum_required(VERSION 3.16 FATAL_ERROR)
-set(PIM_VERSION "6.5.2")
+set(PIM_VERSION "6.5.3")
 set(CMAKE_CXX_STANDARD 20)
 
 project(Messagelib VERSION ${PIM_VERSION})
@@ -12,22 +12,22 @@
 set(QT_REQUIRED_VERSION "6.8.0")
 
 set(MESSAGELIB_LIB_VERSION ${PIM_VERSION})
-set(AKONADIMIME_LIB_VERSION "6.5.2")
-
-set(AKONADICONTACT_LIB_VERSION "6.5.2")
-set(AKONADI_VERSION "6.5.2")
-set(GRANTLEETHEME_LIB_VERSION "6.5.2")
-set(GRAVATAR_LIB_VERSION "6.5.2")
-set(IDENTITYMANAGEMENT_LIB_VERSION "6.5.2")
-set(KMAILTRANSPORT_LIB_VERSION "6.5.2")
-set(KMBOX_LIB_VERSION "6.5.2")
-set(KMIME_LIB_VERSION "6.5.2")
-set(KPIMTEXTEDIT_LIB_VERSION "6.5.2")
-set(LIBKDEPIM_LIB_VERSION "6.5.2")
-set(LIBKLEO_LIB_VERSION "6.5.2")
-set(PIMCOMMON_LIB_VERSION "6.5.2")
+set(AKONADIMIME_LIB_VERSION "6.5.3")
+
+set(AKONADICONTACT_LIB_VERSION "6.5.3")
+set(AKONADI_VERSION "6.5.3")
+set(GRANTLEETHEME_LIB_VERSION "6.5.3")
+set(GRAVATAR_LIB_VERSION "6.5.3")
+set(IDENTITYMANAGEMENT_LIB_VERSION "6.5.3")
+set(KMAILTRANSPORT_LIB_VERSION "6.5.3")
+set(KMBOX_LIB_VERSION "6.5.3")
+set(KMIME_LIB_VERSION "6.5.3")
+set(KPIMTEXTEDIT_LIB_VERSION "6.5.3")
+set(LIBKDEPIM_LIB_VERSION "6.5.3")
+set(LIBKLEO_LIB_VERSION "6.5.3")
+set(PIMCOMMON_LIB_VERSION "6.5.3")
 set(GPGME_REQUIRED_VERSION "1.23.2")
-set(AKONADI_SEARCH_VERSION "6.5.2")
+set(AKONADI_SEARCH_VERSION "6.5.3")
 
 set(OPENSSL_VERSION "3.0.0")

=== messagelist/CMakeLists.txt ===
# SPDX-License-Identifier: CC0-1.0
# SPDX-FileCopyrightText: none

add_subdirectory(src)
if(BUILD_TESTING)
    add_subdirectory(autotests)
    add_subdirectory(tests)
endif()

=== messagecore/autotests/CMakeLists.txt ===
# SPDX-License-Identifier: CC0-1.0
# SPDX-FileCopyrightText: none
add_subdirectory(gnupg_home)

add_definitions(-DMAIL_DATA_DIR="${CMAKE_SOURCE_DIR}/mimetreeparser/autotests/data")
add_definitions(-DDATA_DIR="${CMAKE_SOURCE_DIR}/messagecore/autotests/data")

# Convenience macro to add unit tests.
macro(add_messagecore_test _source)
    add_definitions(-DKDESRCDIR="${CMAKE_CURRENT_SOURCE_DIR}")
    set(_test ${_source})
    get_filename_component(_name ${_source} NAME_WE)
    add_executable(${_name} ${_test} ${_name}.h)
    add_test(NAME ${_name} COMMAND ${_name})
    ecm_mark_as_test(${_name})
    target_link_libraries(${_name} Qt::Test KPim6::Libkleo KPim6::MessageCore Qt::Widgets KF6::Archive KF6::Completion KF6::ConfigCore KF6::CoreAddons)
endmacro()


include(${CMAKE_SOURCE_DIR}/cmake/modules/kdepim_add_gpg_crypto_test.cmake)

macro(add_messagecore_cryptotest _source)
    get_filename_component(_name ${_source} NAME_WE)
    add_executable(${_name} ${_source} ${_name}.h)
    target_link_libraries(
        ${_name}
        KF6::Archive
        KF6::Codecs
        KF6::Completion
        KF6::ConfigCore
        KF6::CoreAddons
        KPim6::Libkleo
        KPim6::MessageCore
        KPim6::MimeTreeParser
        Qt::Test
        Qt::Widgets
)
    add_gpg_crypto_test(${_name} messagecore-${_name})
endmacro()

# Attachment tests.
add_messagecore_test( attachmentcompressjobtest.cpp)
add_messagecore_test( attachmentfrommimecontentjobtest.cpp)
add_messagecore_test( attachmentfromurljobtest.cpp)
add_messagecore_test( attachmentparttest.cpp)
add_messagecore_test( attachmentpropertiesdialogtest.cpp)
add_messagecore_test( attachmentupdatejobtest.cpp)

# Other tests
add_messagecore_test( stringutiltest.cpp)
add_messagecore_test( mailinglisttest.cpp)
ecm_add_test(dateformattertest.cpp LINK_LIBRARIES Qt::Test KPim6::MessageCore)

# Autocrypt tests
add_messagecore_cryptotest( autocryptrecipienttest.cpp)
add_messagecore_cryptotest( autocryptstoragetest.cpp)
add_messagecore_cryptotest( autocryptutilstest.cpp)

=== messagelist/autotests/CMakeLists.txt ===
# SPDX-License-Identifier: CC0-1.0
# SPDX-FileCopyrightText: none
# convenience macro to add qtest unit tests
macro(messagelist_unittest _source)
    get_filename_component(_name ${_source} NAME_WE)
    ecm_add_test(${_source} 
        TEST_NAME ${_name}
        NAME_PREFIX "messagelist-"
        LINK_LIBRARIES Qt::Test KPim6::MessageCore KPim6::MessageList KPim6::PimCommonAkonadi
)
endmacro()

messagelist_unittest(itemsizetest.cpp)

=== messagecore/autotests/gnupg_home/CMakeLists.txt ===
configure_file(gpg-agent.conf.in
  "${CMAKE_CURRENT_BINARY_DIR}/gpg-agent.conf" @ONLY)

configure_file(gpgsm.conf.in
  "${CMAKE_CURRENT_BINARY_DIR}/gpgsm.conf" @ONLY)

file(COPY
  ${CMAKE_CURRENT_SOURCE_DIR}
  DESTINATION "${CMAKE_CURRENT_BINARY_DIR}/../"
)

=== messagecomposer/src/snippet/autotests/CMakeLists.txt ===
# SPDX-License-Identifier: CC0-1.0
# SPDX-FileCopyrightText: none
macro(add_composer_snippet_unittest _source)
    get_filename_component(_name ${_source} NAME_WE)
    ecm_add_test(${_source} ${_name}.h
        TEST_NAME ${_name}
        NAME_PREFIX "messagecomposer-snippet-"
        LINK_LIBRARIES Qt::Test KPim6::MessageComposer KF6::Completion
)
endmacro()

add_composer_snippet_unittest(convertvariablesjobtest.cpp)
add_composer_snippet_unittest(convertsnippetvariablesutiltest.cpp)
add_composer_snippet_unittest(convertsnippetvariablemenutest.cpp)

=== messageviewer/src/dkim-verify/autotests/CMakeLists.txt ===
# SPDX-License-Identifier: CC0-1.0
# SPDX-FileCopyrightText: none
add_definitions(-DDKIM_DATA_DIR="${CMAKE_CURRENT_SOURCE_DIR}/data")

macro(add_messageviewer_dkim_verify_unittest _source)
    get_filename_component(_name ${_source} NAME_WE)
    ecm_add_test(${_source} ${_name}.h
        TEST_NAME ${_name}
        NAME_PREFIX "messageviewer-dkim-"
        LINK_LIBRARIES KPim6::MessageViewer KPim6::WebEngineViewer KPim6::Libkleo QGpgmeQt6 Qt::Test KF6::ItemViews OpenSSL::SSL
)
endmacro()

add_messageviewer_dkim_verify_unittest(dkiminfotest.cpp)
add_messageviewer_dkim_verify_unittest(dkimmanagerkeytest.cpp)
add_messageviewer_dkim_verify_unittest(dkimmanagerkeywidgettest.cpp)
add_messageviewer_dkim_verify_unittest(dkimmanagerkeydialogtest.cpp)
add_messageviewer_dkim_verify_unittest(dkimdownloadkeyjobtest.cpp)
add_messageviewer_dkim_verify_unittest(dkimchecksignaturejobtest.cpp)
add_messageviewer_dkim_verify_unittest(dkimcheckauthenticationstatusjobtest.cpp)
add_messageviewer_dkim_verify_unittest(dkimauthenticationstatusinfotest.cpp)
add_messageviewer_dkim_verify_unittest(dkimkeyrecordtest.cpp)
add_messageviewer_dkim_verify_unittest(dkimmanagertest.cpp)
add_messageviewer_dkim_verify_unittest(dkimutiltest.cpp)
add_messageviewer_dkim_verify_unittest(dkimstoreresultjobtest.cpp)
add_messageviewer_dkim_verify_unittest(dkimresultattributetest.cpp)
add_messageviewer_dkim_verify_unittest(dkimheaderparsertest.cpp)
add_messageviewer_dkim_verify_unittest(dkimcheckpolicytest.cpp)
add_messageviewer_dkim_verify_unittest(dmarcinfotest.cpp)
add_messageviewer_dkim_verify_unittest(dmarcpolicyjobtest.cpp)
add_messageviewer_dkim_verify_unittest(dkimcheckpolicyjobtest.cpp)
add_messageviewer_dkim_verify_unittest(dkimruletest.cpp)
add_messageviewer_dkim_verify_unittest(dkimmanagerrulestest.cpp)
add_messageviewer_dkim_verify_unittest(dkimwidgetinfotest.cpp)
add_messageviewer_dkim_verify_unittest(dkimgeneraterulejobtest.cpp)
add_messageviewer_dkim_verify_unittest(dkimauthenticationstatusinfoutiltest.cpp)
add_messageviewer_dkim_verify_unittest(dkimcheckfulljobtest.cpp)
add_messageviewer_dkim_verify_unittest(dkimauthenticationstatusinfoconvertertest.cpp)
add_messageviewer_dkim_verify_unittest(dkimmanagerauthenticationservertest.cpp)
add_messageviewer_dkim_verify_unittest(dkimviewermenutest.cpp)
add_messageviewer_dkim_verify_unittest(dkimmanagerulescomboboxtest.cpp)
add_messageviewer_dkim_verify_unittest(dkimmanagerulesdialogtest.cpp)
add_messageviewer_dkim_verify_unittest(dkimmanageruleswidgettest.cpp)
add_messageviewer_dkim_verify_unittest(dkimruledialogtest.cpp)
add_messageviewer_dkim_verify_unittest(dkimrulewidgettest.cpp)
add_messageviewer_dkim_verify_unittest(dkimmanagerkeytreeviewtest.cpp)

=== messageviewer/src/messagepartthemes/grantlee/CMakeLists.txt ===
# SPDX-License-Identifier: CC0-1.0
# SPDX-FileCopyrightText: none
add_library(messageviewer_ktexttemplate_extension MODULE ktexttemplateextension.cpp ktexttemplateextension.h)
target_link_libraries(messageviewer_ktexttemplate_extension KF6::TextTemplate)
install(TARGETS messageviewer_ktexttemplate_extension DESTINATION ${KDE_INSTALL_PLUGINDIR}/pim6/messageviewer/kf6/ktexttemplate)

=== messageviewer/src/scamdetection/autotests/CMakeLists.txt ===
# SPDX-License-Identifier: CC0-1.0
# SPDX-FileCopyrightText: none
ecm_add_test(scamattributetest.cpp scamattributetest.h ../scamattribute.cpp
    TEST_NAME scamattributetest
    NAME_PREFIX "messageviewer-scamdetection-"
    LINK_LIBRARIES Qt::Test KPim6::AkonadiCore
)

ecm_add_test(scamdetectionwebenginetest.cpp scamdetectionwebenginetest.h
    TEST_NAME scamdetectionwebenginetest
    NAME_PREFIX "messageviewer-scamwebenginedetection-"
    LINK_LIBRARIES KPim6::MessageViewer Qt::Test  Qt::WebEngineWidgets
)

ecm_add_test(scamdetectioninfotest.cpp scamdetectioninfotest.h
    TEST_NAME scamdetectioninfotest
    NAME_PREFIX "messageviewer-scamdetection-"
    LINK_LIBRARIES KPim6::MessageViewer Qt::Test  Qt::WebEngineWidgets
)

=== webengineviewer/src/urlinterceptor/blockexternalresourcesurlinterceptor/autotests/CMakeLists.txt ===
# SPDX-License-Identifier: CC0-1.0
# SPDX-FileCopyrightText: none
macro(add_messageviewer_blockexternalresource_unittest _source)
    get_filename_component(_name ${_source} NAME_WE)
    ecm_add_test(${_source} ${_name}.h
        TEST_NAME ${_name}
        NAME_PREFIX "messageviewer-"
        LINK_LIBRARIES KPim6::MessageViewer KPim6::WebEngineViewer Qt::Test
)
endmacro()

add_messageviewer_blockexternalresource_unittest(blockexternalresourcesurlinterceptortest.cpp)

=== debian/changelog ===
messagelib (4:25.08.3-3) unstable; urgency=medium

  [ Patrick Franz ]
  * Backport patch to fix CVE-2025-69412 (Closes: #1124474).
  * Bump Standards-Version to 4.7.3 (no changes needed).

 -- Patrick Franz <deltaone@debian.org>  Fri, 02 Jan 2026 20:29:04 +0100

messagelib (4:25.08.3-2) unstable; urgency=medium

  * Upload to unstable.

 -- Patrick Franz <deltaone@debian.org>  Wed, 03 Dec 2025 18:00:52 +0100

messagelib (4:25.08.3-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (25.08.3).
  * Update build-deps and deps with the info from cmake.
  * Remove patches that have been applied upstream.

 -- Patrick Franz <deltaone@debian.org>  Tue, 18 Nov 2025 21:24:53 +0100

=== debian/control ===
--- 
+++ 
@@ -1,65 +1,65 @@
 Source: messagelib
 Section: libs
 Priority: optional
-Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
-Uploaders: Sandro Knauß <hefee@debian.org>, Patrick Franz <deltaone@debian.org>,
-Build-Depends: cmake (>= 3.16~),
-               debhelper-compat (= 13),
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Uploaders: Sandro Knauß <hefee@debian.org>,
+           Patrick Franz <deltaone@debian.org>,
+Build-Depends: debhelper-compat (= 13),
                dh-sequence-kf6,
-               extra-cmake-modules (>= 6.6.0~),
+               cmake (>= 3.16~),
+               extra-cmake-modules (>= 6.14.0~),
                git,
-               libakonadi-dev (>= 4:25.08.2~),
-               libakonadicontact-dev (>= 4:25.08.2~),
-               libakonadimime-dev (>= 4:25.08.2~),
-               libakonadisearch-dev (>= 4:25.08.2~),
+               libakonadi-dev (>= 4:25.08.3~),
+               libakonadicontact-dev (>= 4:25.08.3~),
+               libakonadimime-dev (>= 4:25.08.3~),
+               libakonadisearch-dev (>= 4:25.08.3~),
                libgpgme-dev (>= 1.21.0~),
                libgpgmepp-dev (>= 1.23.2~),
-               libgrantleetheme-dev (>= 25.08.2~),
-               libgravatar-dev (>= 4:25.08.2~),
-               libkdepim-dev (>= 4:25.08.2~),
-               libkf6archive-dev (>= 6.6.0~),
-               libkf6calendarcore-dev (>= 6.6.0~),
-               libkf6codecs-dev (>= 6.6.0~),
-               libkf6colorscheme-dev (>= 6.6.0~),
-               libkf6completion-dev (>= 6.6.0~),
-               libkf6config-dev (>= 6.6.0~),
-               libkf6contacts-dev (>= 6.6.0~),
-               libkf6coreaddons-dev (>= 6.6.0~),
-               libkf6guiaddons-dev (>= 6.6.0~),
-               libkf6i18n-dev (>= 6.6.0~),
-               libkf6iconthemes-dev (>= 6.6.0~),
-               libkf6itemviews-dev (>= 6.6.0~),
-               libkf6jobwidgets-dev (>= 6.6.0~),
-               libkf6kio-dev (>= 6.6.0~),
-               libkf6newstuff-dev (>= 6.6.0~),
-               libkf6notifications-dev (>= 6.6.0~),
-               libkf6service-dev (>= 6.6.0~),
-               libkf6sonnet-dev (>= 6.6.0~),
-               libkf6syntaxhighlighting-dev (>= 6.6.0~),
+               libgrantleetheme-dev (>= 25.08.3~),
+               libgravatar-dev (>= 4:25.08.3~),
+               libkdepim-dev (>= 4:25.08.3~),
+               libkf6archive-dev (>= 6.14.0~),
+               libkf6calendarcore-dev (>= 6.14.0~),
+               libkf6codecs-dev (>= 6.14.0~),
+               libkf6colorscheme-dev (>= 6.14.0~),
+               libkf6completion-dev (>= 6.14.0~),
+               libkf6config-dev (>= 6.14.0~),
+               libkf6contacts-dev (>= 6.14.0~),
+               libkf6coreaddons-dev (>= 6.14.0~),
+               libkf6guiaddons-dev (>= 6.14.0~),
+               libkf6i18n-dev (>= 6.14.0~),
+               libkf6iconthemes-dev (>= 6.14.0~),
+               libkf6itemviews-dev (>= 6.14.0~),
+               libkf6jobwidgets-dev (>= 6.14.0~),
+               libkf6kio-dev (>= 6.14.0~),
+               libkf6newstuff-dev (>= 6.14.0~),
+               libkf6notifications-dev (>= 6.14.0~),
+               libkf6service-dev (>= 6.14.0~),
+               libkf6sonnet-dev (>= 6.14.0~),
+               libkf6syntaxhighlighting-dev (>= 6.14.0~),
                libkf6texttemplate-dev (>= 6.3.0~),
-               libkf6textwidgets-dev (>= 6.6.0~),
-               libkf6widgetsaddons-dev (>= 6.6.0~),
-               libkf6xmlgui-dev (>= 6.6.0~),
-               libkidentitymanagement-dev (>= 25.08.2~),
-               libkleo-dev (>= 4:25.08.2~),
-               libkmailtransport-dev (>= 25.08.2~),
-               libkmbox-dev (>= 25.08.2~),
-               libkmime-dev (>= 25.08.2~),
-               libkpimtextedit-dev (>= 25.08.2~),
-               libktextaddons-dev (>= 1.5.4~),
-               libpimcommon-dev (>= 4:25.08.2~),
+               libkf6textwidgets-dev (>= 6.14.0~),
+               libkf6widgetsaddons-dev (>= 6.14.0~),
+               libkf6xmlgui-dev (>= 6.14.0~),
+               libkidentitymanagement-dev (>= 25.08.3~),
+               libkleo-dev (>= 4:25.08.3~),
+               libkmailtransport-dev (>= 25.08.3~),
+               libkmbox-dev (>= 25.08.3~),
+               libkmime-dev (>= 25.08.3~),
+               libkpimtextedit-dev (>= 25.08.3~),
+               libktextaddons-dev (>= 1.6.0~),
+               libpimcommon-dev (>= 4:25.08.3~),
                libqca-qt6-dev (>= 2.3.7~),
                libqgpgmeqt6-dev (>= 1.23.2~),
                libssl-dev (>= 3.0.0~),
-               qt6-base-dev (>= 6.7.0~),
-               qt6-webengine-dev (>= 6.7.0~),
+               qt6-base-dev (>= 6.8.0~),
+               qt6-webengine-dev (>= 6.8.0~),
                xauth,
                xvfb,
-Standards-Version: 4.7.0
+Standards-Version: 4.7.3
 Homepage: https://invent.kde.org/pim/messagelib
-Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/messagelib
-Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/messagelib
+Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/messagelib
+Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/messagelib.git
 Rules-Requires-Root: no
 
 Package: messagelib-data
@@ -77,13 +77,13 @@
 Section: libdevel
 Architecture: amd64 arm64 armhf i386
 Multi-Arch: same
-Depends: libakonadi-dev (>= 4:25.08.2~),
-         libakonadimime-dev (>= 4:25.08.2~),
-         libkf6contacts-dev (>= 6.6.0~),
-         libkf6service-dev (>= 6.6.0~),
-         libkidentitymanagement-dev (>= 25.08.2~),
-         libkleo-dev (>= 4:25.08.2~),
-         libkmime-dev (>= 25.08.2~),
+Depends: libakonadi-dev (>= 4:25.08.3~),
+         libakonadimime-dev (>= 4:25.08.3~),
+         libkf6contacts-dev (>= 6.14.0~),
+         libkf6service-dev (>= 6.14.0~),
+         libkidentitymanagement-dev (>= 25.08.3~),
+         libkleo-dev (>= 4:25.08.3~),
+         libkmime-dev (>= 25.08.3~),
          libkpim6messagecomposer6 (= ${binary:Version}),
          libkpim6messagecore6 (= ${binary:Version}),
          libkpim6messagelist6 (= ${binary:Version}),
@@ -91,9 +91,9 @@
          libkpim6mimetreeparser6 (= ${binary:Version}),
          libkpim6templateparser6 (= ${binary:Version}),
          libkpim6webengineviewer6 (= ${binary:Version}),
-         libktextaddons-dev (>= 1.5.4~),
-         libpimcommon-dev (>= 4:25.08.2~),
-         qt6-webengine-dev (>= 6.7.0~),
+         libktextaddons-dev (>= 1.6.0~),
+         libpimcommon-dev (>= 4:25.08.3~),
+         qt6-webengine-dev (>= 6.8.0~),
          ${misc:Depends},
 Description: KDE PIM messaging library - development files
  This package contains the development files for the KDE PIM messaging library.
@@ -161,6 +161,8 @@
 Depends: messagelib-data (= ${source:Version}),
          ${misc:Depends},
          ${shlibs:Depends},
+Breaks: libkf5mimetreeparser5abi1,
+Replaces: libkf5mimetreeparser5abi1,
 Description: KDE PIM Mime Tree parser library
  This library implements a parser for the mime tree used by KMail.
  .
